# Generated by Django 4.1 on 2022-08-16 18:19

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("projects", "0004_alter_project_description_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="project",
            name="principal_investigator",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="project_pi",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="project",
            name="members",
            field=models.ManyToManyField(
                related_name="project_members",
                to=settings.AUTH_USER_MODEL,
                verbose_name="Members of the project",
            ),
        ),
    ]
